/*
Theme Name: magmaparapente
Description: Theme enfant de Divi
Author: en1clic
Author URI: https://www.en1clic-solutions.fr
Template: Divi
Version: 1.1
*/

/*
                                                                                                          
                                                                                                                      :::::::::                                                                         
                                                                              .-+***=                                .========-         .::.                                                            
                                                                            .=*******.                               .========-       :=====-:                                                          
                                                                          :+*********.                               .========-      -========-                                                         
                                                                       .-************.                               .========-     :==========.                                                        
                                                                     .=**************.                               .========-     :==========.                                                        
                                                                   .+****************.                               .========-     .=========-                                                         
                                                                   :*****************.                               .========-      .-======-.                                                         
                                                                   :*****************.                               .========-        :---:.                                                           
                                                                   :*****************.                               .========-                                                                         
                                                                   :*****+:**********.                               .========-                                        :+-                              
                                                                   :***=:  **********.                               .========-                                        ***+:                            
            .:---==---::.           .::::::::.   .:--=---::.       :*-.    **********.             .::--==---::.     .========-      .::::::::.            .:=+*****+++*****=.             :#+          
         .:-=============-:         :========- :-===========-.     .       **********.           :-=============-:   .========-      -========.          :+*******************-            *#-          
        -==================-:       :========--===============-.           **********.         :=================:   .========-      -========.        :+**********************+.         =#+           
      .-=====================-      :==========================-           **********.       .-=================-    .========-      -========.       =**************************=       .##.           
     .========-:.   .:========:     :=============---===========-          **********.      .==================-     .========-      -========.      +*****************************:     :+-     .--    
    .========-        .========.    :==========-.    .-==========          **********.     .==========-:.   .:-.     .========-      -========.     =**********+-. .+***************+.        :=*##*    
    -========:.........-=======-    :=========:        -=========.         **********.     -=========-               .========-      -========.    :**********:    =******************-      ##*+-.     
   .============================.   :========-         .=========.         **********.    .=========-                .========-      -========.    +*********:     =*******************+.    ..         
   :============================.   :========-          =========.         **********.    :=========.                .========-      -========.    *********+            ...::::----====.               
   :============================.   :========-          =========.         **********.    :=========.                .========-      -========.   .*********=                               .#*=.       
   :=========...................    :========-          =========.         **********.    :=========.                .========-      -========.    **********                                =*%%#=.    
   .=========.                      :========-          =========.         **********.    .=========-                .========-      -========.    +*********-                      =#-  :*-   .-*%*    
    -========-.         :-:.        :========-          =========.         **********.     -=========-.              .========-      -========.    :**********-                    .##.  :@%.           
    .-=========:..  ..:-====-:.     :========-          =========.         **********.     .-==========-:....:-.     .========-      -========.     =***********=:..:-=+           *#-    *@+           
     .-========================:    :========-          =========.         **********.      .-=================-.    .========-      -========.      =******************=         -#*     .%@:          
      .-======================:     :========-          =========.         **********.       .-=================-    .========-      -========.       -******************:        -+.      =@+          
        :-==================-.      :========-          =========.         **********.         :-================:   .========-      -========.        .+*****************.                 .           
          :-=============-:.        :========-          =========.         **********.           :-=============-:   .========-      -========.          .=**************=.                             
             .:------::..           ..........          .........          **********.              .::-----::.       .........      .........              .-=+++++==-:                                
                                                                                                                                                                                                        
                                                                                                                                                                                                        


*/


/* 
** CENTRER DU CONTENU VERTICALEMENT 
*/

.dc-centrer-verticalement {
	display: flex;
	flex-direction: column;
	justify-content: center;
  	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-webkit-flex-direction: column;
	 -moz-box-orient: vertical;
	 -moz-box-direction: normal;
	  -ms-flex-direction: column;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	-moz-box-pack: center;
	-ms-flex-pack: center;
}


/*
** INVERSER LE SENS DES COLONNES SUR MOBILE
*/

@media only screen and (max-width : 980px) {
	.dc-inverser-colonnes--section .dc-inverser-colonnes--ligne {
		display: -webkit-flex;
		display: -ms-flex;
		display: flex;
		-webkit-flex-direction: column-reverse;
		-ms-flex-direction: column-reverse;
		flex-direction: column-reverse;
	}
}


/*
** MENU MOBILE : en pleine largeur et le hamburger devient une croix pour fermer
*/

.et_mobile_menu {
	margin-left: -30px;
	padding: 5%;
	width: calc( 100% + 60px);
}

.mobile_nav.opened .mobile_menu_bar:before {
	content: "\4d";
}


/* 
** AUGMENTER LA LARGEUR CHAMP RÉSULTAT CAPTCHA 
** Parfois, suivant la taille du texte, certains chiffres du résultat sont masqués
*/
.et_pb_contact_right p input {
	max-width: 50px;
}


/*
** METTRE EXPOSANTS ET INDICES À LA BONNE TAILLE
** Généralement, ils sont bien trop gros…
*/
sup, sub {
    font-size: 70%;
}
/* modification de la gallerie */
.bwg-item0{
    box-shadow: 2px 2px 8px rgba(0,0,0,0.3);
}
#et_pb_contact_raison_0 > option:nth-child(n):hover{
  background-color: green!important;
}
/*------------------------------------------code css qui vas un peu partout-----------------------------------------*/


/* ------------------------------------modification page infos pratiques--------------------------------------------*/

#webcam{
    margin-bottom: -10px;
}

#Conteneur3{
  margin-top:20vh!important;
}

#map{
  width: auto!important;
  height: 56vh!important;
  
}

/* ------------------------------------menu mon compte----------------------------------------------------------------*/

#tgwc-woocommerce > nav{
  display: none;
}
#tgwc-woocommerce > div > form > p:nth-child(9) > button{
  color: #f2782e!important;
}

/*-------------------------------------------------carte cadeau--------------------------------------------------------*/
#product-1414 > div.et-l.et-l--post > div > div.et_pb_section.et_pb_section_2.et_section_regular > div.et_pb_row.et_pb_row_3 > div.et_pb_column.et_pb_column_1_2.et_pb_column_5.et_pb_css_mix_blend_mode_passthrough.et-last-child > div.et_pb_module.et_pb_wc_add_to_cart.et_pb_wc_add_to_cart_1.et_pb_hide_stock.et_pb_fields_label_position_inline.et_pb_bg_layout_.et_pb_woo_custom_button_icon.et_pb_text_align_left > div > form > table > tbody > tr > td > a{
  color: #f2782e!important;
}
.woocommerce div.product form.cart .variations select{
  background: none;
}
#product-1414 > div.et-l.et-l--post > div > div.et_pb_section.et_pb_section_2.et_section_regular > div.et_pb_row.et_pb_row_3 > div.et_pb_column.et_pb_column_1_2.et_pb_column_5.et_pb_css_mix_blend_mode_passthrough.et-last-child > div.et_pb_module.et_pb_wc_add_to_cart.et_pb_wc_add_to_cart_1.et_pb_hide_stock.et_pb_fields_label_position_inline.et_pb_bg_layout_.et_pb_woo_custom_button_icon.et_pb_text_align_left > div > form > div.single_variation_wrap > div.woocommerce-variation.single_variation > div.woocommerce-variation-price > ul{
  display: none;
}

.bwg-carte .et_pb_image_wrap {
  height: 220px;              /* hauteur fixe du cadre */
  border-radius: 25px;        /* arrondis tout autour */
  overflow: hidden;           /* rien ne dépasse */
}

.bwg-carte img {
  width: 100%;
  height: 100%;
  object-fit: cover;          /* l’image couvre tout le cadre */
  display: block;
}
/*-------------------------------------------inversion colone mobile-----------------------------------------------*/
@media (max-width: 768px) {
  .reverse-mobile {
    display: flex;
    flex-direction: column-reverse;
  }
}
/*-------------------------------------------menu panier deroulant coté-----------------------------------------------*/
body > div.xoo-wsc-markup > div > div > div.xoo-wsc-footer > div.xoo-wsc-ft-buttons-cont > a.xoo-wsc-ft-btn.xoo-wsc-btn.xoo-wsc-ft-btn-cart{
  border-radius: 10px!important;
}
body > div.xoo-wsc-markup > div > div > div.xoo-wsc-footer > div.xoo-wsc-ft-buttons-cont > a.xoo-wsc-ft-btn.xoo-wsc-btn.xoo-wsc-cart-close.xoo-wsc-ft-btn-continue{
  border-radius: 10px;
}
body > div.xoo-wsc-markup > div > div > div.xoo-wsc-footer > div.xoo-wsc-ft-buttons-cont > a.xoo-wsc-ft-btn.xoo-wsc-btn.xoo-wsc-ft-btn-checkout{
  border-radius: 10px;
}
body > div.xoo-wsc-markup > div > div > div.xoo-wsc-body > div > div > div.xoo-wsc-sum-col > div > div.xoo-wsc-sm-right > span.xoo-wsc-smr-del.xoo-wsc-icon-trash2{
  color: black;
}
body > div.xoo-wsc-markup > div > div > div.xoo-wsc-header > div > div.xoo-wsch-section.xoo-wsch-sec-right > span{
  color: black;
}
body > div.xoo-wsc-markup > div > div > div.xoo-wsc-header > div > div.xoo-wsch-section.xoo-wsch-sec-left > div > span.xoo-wsch-bki.xoo-wsc-icon-cart2.xoo-wsch-icon{
  color: black;
}
body > div.xoo-wsc-markup > div > div > div.xoo-wsc-footer > div.xoo-wsc-ft-totals > div > span.xoo-wsc-ft-amt-label{
  color: black;
}
body > div.xoo-wsc-markup > div > div > div.xoo-wsc-footer > span{
  color: black;
}
body > div.xoo-wsc-markup > div > div > div.xoo-wsc-basket > span.xoo-wsc-bki.xoo-wsc-icon-cart2{
  color: black;
}

/*-------------------------------------------modification galerie video-----------------------------------------------*/
.tsvg-thumbnails-block figure a img {
    border-radius: 20px !important;
    transition: transform 0.3s ease;
    display: block;


}
/* Neutralise tous les fonds bleus injectés par TS Video Gallery */
[class*="adipoli-before"],
[class*="adipoli-after"],
[class*="tsvg-thumbnails-block-img"],
[class*="tsvg-thumbnails-block-effect-inner"],
[class*="tsvg-thumbnails-block-effect"],
[class*="tsvg-thumbnails-block"] {
    background: transparent !important;
    box-shadow: none !important;
    border: none !important;
    outline: none !important;
}
/* Le conteneur doit cacher le débordement pour un zoom propre */
.tsvg-thumbnails-block figure a {
    border-radius: 20px !important;
    overflow: hidden !important;
    display: block;
    position: relative;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2) !important;
    background-color: transparent !important;

}

/* Zoom interne au hover */
.tsvg-thumbnails-block figure a img:hover {
    transform: scale(1.05);
}

/*-------------------------------------------modification de la carte preview-----------------------------------------------*/
#_expiration_date{
left:77%!important;
top: 77%!important;
}
#product-1414 > div.et-l.et-l--post > div > div.et_pb_section.et_pb_section_4.et_section_regular > div.et_pb_row.et_pb_row_5 > div.et_pb_column.et_pb_column_1_2.et_pb_column_9.et_pb_css_mix_blend_mode_passthrough.et-last-child > div.et_pb_module.et_pb_wc_add_to_cart.et_pb_wc_add_to_cart_1.et_pb_hide_stock.et_pb_fields_label_position_inline.et_pb_bg_layout_.et_pb_woo_custom_button_icon.et_pb_text_align_left > div > form > div.single_variation_wrap > div.woocommerce-variation.single_variation > div.woocommerce-variation-price > ul{
    display: none;
}


#post-28 > div > div > div > div.et_pb_section.et_pb_section_3.et_hover_enabled.et_pb_with_background.et_section_regular > div.et_pb_row.et_pb_row_6 > div.et_pb_column.et_pb_column_1_3.et_pb_column_14.et_pb_css_mix_blend_mode_passthrough.et-last-child > div > div > div > img{
    height: 100%!important;;
}

.bwg-carte img {
  height: 100% !important;
  width: 100% !important;
  object-fit: cover;
  display: block;
  border-radius: inherit;
}

#et-boc > header > div > div > div > div > div > div > div.et_pb_menu__logo-wrap{
    margin:auto!important;
}


